List a Space's activity - Spacefast Docs

List a Space's activity

Returns the activity events recorded against one Space, newest first. Page with cursor. since is raised to the owning team’s plan audit retention window when it reaches back further.

GET /v1/spaces/{spaceId}/activity

Authorization

Authorization Bearer token · header required

`Authorization: Bearer ` with the Space key (`sfc_` prefix) of an unclaimed Space. The same key is the fragment of the claim URL and the token in the Space's `/__/` sign-in URL.

or

Authorization Bearer token · header required

`Authorization: Bearer ` with an API key (`sfa_` prefix), an OAuth access token, a session token, or a Space machine credential (`sfm_` prefix).

Path parameters

spaceId string required

Query parameters

limit integer required

cursor string

principalType string

principalId string

actorType string

actorId string

code string

since string

until string

Responses

200 Response for status 200


Try it

Server

Base URL https://api.spacefast.com

Custom base URL Overrides the selected server when set.

Authorization

Bearer token

Parameters

spaceId path * limit query * cursor query principalType query—team external principalId query actorType query—user api_key partner_token oauth_client anonymous_claim system actorId query code query since query until query

Send

Request

curl -X GET "https://api.spacefast.com/v1/spaces/string/activity?limit=20" \
  -H "Authorization: Bearer YOUR_TOKEN"
const response = await fetch("https://api.spacefast.com/v1/spaces/string/activity?limit=20", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  }
});
import requests

response = requests.get(
    "https://api.spacefast.com/v1/spaces/string/activity?limit=20",
    headers={
        "Authorization": "Bearer YOUR_TOKEN"
    },
)

Response

200 default

{
  "$schema": "http://example.com",
  "data": [
    {
      "id": "string",
      "sequence": 9007199254740991,
      "spaceId": "string",
      "actor": {
        "type": "user",
        "id": "string"
      },
      "code": "string",
      "message": "string",
      "details": {
        "property1": null,
        "property2": null
      },
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "hasMore": true
  }
}
{
  "$schema": "http://example.com",
  "type": "string",
  "title": "string",
  "status": -9007199254740991,
  "detail": "string",
  "code": "string",
  "pointer": "string",
  "details": {
    "property1": null,
    "property2": null
  },
  "suggestions": [
    "string"
  ],
  "next": [
    "string"
  ],
  "requestId": "string"
}